org.apache.uima.adapter.jms.activemq

## Class SpringContainerDeployer

- java.lang.Object
- - org.apache.uima.adapter.jms.activemq.SpringContainerDeployer

- All Implemented Interfaces:
    org.apache.uima.aae.controller.ControllerCallbackListener

      public class SpringContainerDeployer
      extends Object
      implements org.apache.uima.aae.controller.ControllerCallbackListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAX_PREFETCH_FOR_CAS_NOTIFICATION_Q`
    `static int` | `QUIESCE_AND_STOP`
    `static int` | `STOP_NOW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringContainerDeployer(org.springframework.context.ApplicationListener listener)`
    `SpringContainerDeployer(ConcurrentHashMap aSpringContainerRegistry)`
    `SpringContainerDeployer(ConcurrentHashMap aSpringContainerRegistry, org.springframework.context.ApplicationListener listener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `deploy(String springContextFile)`
    `String` | `deploy(String[] springContextFiles)`
    `org.springframework.context.support.FileSystemXmlApplicationContext` | `getSpringContext()`
    `org.apache.uima.aae.controller.AnalysisEngineController` | `getTopLevelController()`
    `boolean` | `initializationFailed()`
    `boolean` | `isInitialized()`
    `void` | `notifyOnInitializationFailure(org.apache.uima.aae.controller.AnalysisEngineController aController, Exception e)`
    `void` | `notifyOnInitializationFailure(Exception e)`
    `void` | `notifyOnInitializationSuccess()`
    `void` | `notifyOnInitializationSuccess(org.apache.uima.aae.controller.AnalysisEngineController aController)`
    `void` | `notifyOnReconnecting(String aMessage)`
    `void` | `notifyOnReconnectionSuccess()`
    `void` | `notifyOnTermination(String aServiceName, String aCasReferenceId, Exception cause)`
    `void` | `notifyOnTermination(String message, org.apache.uima.aae.UimaASApplicationEvent.EventTrigger cause)`
    `void` | `startListeners()`
    `void` | `undeploy(int stop_level)`
    `protected void` | `waitForServiceNotification()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_PREFETCH_FOR_CAS_NOTIFICATION_Q

          public static final int MAX_PREFETCH_FOR_CAS_NOTIFICATION_Q

      See Also:
        Constant Field Values

    - #### QUIESCE_AND_STOP

          public static final int QUIESCE_AND_STOP

      See Also:
        Constant Field Values

    - #### STOP_NOW

          public static final int STOP_NOW

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SpringContainerDeployer

          public SpringContainerDeployer(org.springframework.context.ApplicationListener listener)

    - #### SpringContainerDeployer

          public SpringContainerDeployer(ConcurrentHashMap aSpringContainerRegistry)

    - #### SpringContainerDeployer

          public SpringContainerDeployer(ConcurrentHashMap aSpringContainerRegistry,
                                         org.springframework.context.ApplicationListener listener)

  - ### Method Detail

    - #### getTopLevelController

          public org.apache.uima.aae.controller.AnalysisEngineController getTopLevelController()

    - #### startListeners

          public void startListeners()
                              throws Exception

      Throws:
        `Exception`

    - #### deploy

          public String deploy(String springContextFile)
                        throws ResourceInitializationException

      Throws:
        `ResourceInitializationException`

    - #### deploy

          public String deploy(String[] springContextFiles)
                        throws ResourceInitializationException

      Throws:
        `ResourceInitializationException`

    - #### undeploy

          public void undeploy(int stop_level)
                        throws Exception

      Throws:
        `Exception`

    - #### waitForServiceNotification

          protected void waitForServiceNotification()
                                             throws Exception

      Throws:
        `Exception`

    - #### notifyOnInitializationFailure

          public void notifyOnInitializationFailure(org.apache.uima.aae.controller.AnalysisEngineController aController,
                                                    Exception e)

      Specified by:
        `notifyOnInitializationFailure` in interface `org.apache.uima.aae.controller.ControllerCallbackListener`

    - #### notifyOnInitializationSuccess

          public void notifyOnInitializationSuccess(org.apache.uima.aae.controller.AnalysisEngineController aController)

      Specified by:
        `notifyOnInitializationSuccess` in interface `org.apache.uima.aae.controller.ControllerCallbackListener`

    - #### notifyOnInitializationFailure

          public void notifyOnInitializationFailure(Exception e)

      Specified by:
        `notifyOnInitializationFailure` in interface `org.apache.uima.aae.controller.ControllerCallbackListener`

    - #### notifyOnInitializationSuccess

          public void notifyOnInitializationSuccess()

      Specified by:
        `notifyOnInitializationSuccess` in interface `org.apache.uima.aae.controller.ControllerCallbackListener`

    - #### notifyOnTermination

          public void notifyOnTermination(String message,
                                          org.apache.uima.aae.UimaASApplicationEvent.EventTrigger cause)

      Specified by:
        `notifyOnTermination` in interface `org.apache.uima.aae.controller.ControllerCallbackListener`

    - #### getSpringContext

          public org.springframework.context.support.FileSystemXmlApplicationContext getSpringContext()

    - #### isInitialized

          public boolean isInitialized()

    - #### initializationFailed

          public boolean initializationFailed()

    - #### notifyOnTermination

          public void notifyOnTermination(String aServiceName,
                                          String aCasReferenceId,
                                          Exception cause)

    - #### notifyOnReconnecting

          public void notifyOnReconnecting(String aMessage)

      Specified by:
        `notifyOnReconnecting` in interface `org.apache.uima.aae.controller.ControllerCallbackListener`

    - #### notifyOnReconnectionSuccess

          public void notifyOnReconnectionSuccess()

      Specified by:
        `notifyOnReconnectionSuccess` in interface `org.apache.uima.aae.controller.ControllerCallbackListener`

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.